import React, {useContext} from 'react'
import { Store } from '../../Store.js';
import styled from 'styled-components'
import Button from '@material-ui/core/Button';

//3 casos
    //Professor nao cadastrado (nao pediu OU submitter_request = rejected)
    //Professor em análise (submitter_request = requested)
    //Professor aceito (submitter_request = accepted)
export default function TabPanelSolicitarContaProfessor (props) {
    const {state, dispatch} = useContext(Store)

    return (
        <div className='card-config'>
            <div className='content-div'>
                {
                    state.currentUser.submitter_request == 'default' || state.currentUser.submitter_request == 'rejected' ?
                    (
                        [
                            <div style={{paddingLeft:"100px", paddingRight:"101px"}}>
                                <ImageDiv/>
                                <StyledH2>Você é professor(a) da educação básica e gostaria de colaborar com a Plataforma?</StyledH2>
                                <StyledP>Ao ser identificado como professor(a), você poderá publicar e compartilhar recursos educacionais
                                digitais na plataforma com toda a comunidade escolar do país.
                                </StyledP>
                                <div>
                                    <CompletarCadastroButton>
                                        SIM, COMPLETAR CADASTRO
                                    </CompletarCadastroButton>
                                </div>
                            </div>
                        ]
                    )
                    :
                    (
                        [
                            <>
                            {
                                state.currentUser.submitter_request == 'requested' ?
                                (
                                    [
                                        <span>Requested</span>
                                    ]
                                )
                                :
                                (
                                    [
                                        <span>Professor</span>
                                    ]
                                )
                            }
                            </>
                        ]
                    )
                }
            </div>
        </div>
    )
}

export const CompletarCadastroButton = styled(Button)`
    background-color : #00bcd4 !important;
    color : #fff !important;
    font-family : 'Roboto',sans-serif !important;
    font-size : 14px !important;
    font-weight : bold !important;
    height : 36px !important;
    border-radius : 3px !important;
    padding-left : 16px !important;
    padding-right : 16px !important;
    outline : none !important;
    margin : 6px 8px !important;
    white-space : nowrap !important;
    text-transform : uppercase !important;
    font-weight : bold !important;
    font-size : 14px !important;
    font-style : inherit !important;
    font-variant : inherit !important;
    font-family : inherit !important;
    text-decoration : none !important;
    overflow : hidden !important;
    display : inline-block !important;
    position : relative !important;
    cursor : pointer !important;
    min-height : 36px !important;
    min-width : 88px !important;
    vertical-align : middle !important;
    align-items : center !important;
    text-align : center !important;
    box-sizing : border-box !important;
    border : 0 !important;
`

const StyledP = styled.p`
    font-size : 15px;
    line-height : 22px;
    text-align : left;
    padding-bottom : 20px;
`

const StyledH2 = styled.h2`
    font-weight : 200;
    font-size : 26px;
    line-height : 36px;
    text-align : left;
    padding-bottom : 20px;
`

const ImageDiv = styled.div`
    background-image : url(https://plataformaintegrada.mec.gov.br/img/Publicar.png);
    display : block;
    height : 114px;
    background-size : contain;
    background-position : center center;
    background-repeat : no-repeat;
`
